<div class="user-avatar" style={`background-image:url("${avatarUrl}")`}>
  <PresencePointer {presence} />
</div>

<script>
  import constants from "../js/constants";
  import UserStore from "../stores/UserStore";

  export default {
    components: {
      PresencePointer: "./PresencePointer.svelte"
    },
    onstate({current, changed}) {
      if (changed.userId) {
        UserStore.subscribeComponent(current.userId, this, this.userChange, "u");
      }
    },
    computed: {
      avatarUrl({avatar, userId}) {
        return avatar
          ? constants.API_BASE + "/avatars/" + userId + "/" + avatar
          : constants.DEFAULT_AVATAR;
      }
    },
    methods: {
      userChange() {
        const user = UserStore.getItem(this.get().userId);
        this.set({
          avatar: user && user.avatar,
          presence: user && user.presence
        });
      }
    }
  };
</script>


<style>
  .user-avatar {
    width: 2em;
    border-radius: 100%;
    background-size: cover;
    height: 2em;
    display: inline-block;
    background-color: #202224;
    vertical-align: bottom;
    position: relative;
  }
</style>
